package com.engine.kq.biz.chain.duration;

import com.engine.kq.wfset.bean.SplitBean;
import java.util.List;

/**
 * 工作时长 按天计算
 */
public class WorkDayUnitSplitChain extends WorkDurationChain {


  public WorkDayUnitSplitChain(List<SplitBean> splitBeans) {
    super(splitBeans);
  }

  @Override
  public void handleDuration(SplitBean splitBean) throws Exception {
    String durationrule = splitBean.getDurationrule();
    if("1".equalsIgnoreCase(durationrule)){
      getSplitDurationBean(splitBean);
    }else{
      this.success.handleDuration(splitBean);
    }
  }

}
